Bug 54431 - Slight backwardness in /usr/share/magic in file-3.35-2
Summary: Slight backwardness in /usr/share/magic in file-3.35-2
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: file   
(Show other bugs)
Version: 1.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-08 07:48 UTC by Valdis Kletnieks
Modified: 2007-04-18 16:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-06 21:42:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Valdis Kletnieks 2001-10-08 07:48:46 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.4) Gecko/20010913

Description of problem:
It appears there is a small whoops in the handling of Perl files

Version-Release number of selected component (if applicable):
file-3.35.2

How reproducible:
Always

Steps to Reproduce:
1. By inspection
2.
3.
	

Actual Results:  In /usr/share/magic, near line 1143, we have:

0       string/b        #!\ /bin/perl                   perl script text
executable
0       string          eval\ "exec\ /bin/perl          perl script text
0       string/b        #!\ /usr/bin/perl               perl script text
executable
0       string          eval\ "exec\ /usr/bin/perl      perl script text
0       string/b        #!\ /usr/local/bin/perl         perl script text
0       string          eval\ "exec\ /usr/local/bin/perl        perl script
text executable


Expected Results:  'executable' should probably be on the #! variant of
/usr/local/bin/perl, not the 'eval' version.

Additional info:

Comment 1 Trond Eivind Glomsrxd 2001-12-11 20:06:00 UTC
Fixed in file-3.37-2


Note You need to log in before you can comment on or make changes to this bug.